.panel-heading label {
    font-weight: normal;
}

.form-group {
    margin-bottom: 5px;
}

.change-init {
    border-bottom: 1px solid lightgrey;
    background-color: lightyellow;
    margin-top: -15px;
    margin-bottom: 15px;
    padding: 15px 15px 10px;
}

.change-init-header {
    float: right;
    color: gray;
}

.vtrigger-checkbox {
    padding-top: 6px;
}

.init-label {
    line-height: 34px;
    color: gray;
    text-align: right;
    font-style: italic;
}

.scene-container, .render {
    position: relative;
}
.scene {
    border-bottom: 1px solid lightgrey;
    width: 1600px;
    height: 500px;
}
.grid {
    position: absolute;
}
.controls {
    margin-top: 10px;
    margin-bottom: 10px;
}

.error-label {
    color: red;
}

.camera {
    overflow-x: scroll;
    border: 1px solid lightgrey;
    border-radius: 3px;
}

.status {
    position: absolute;
    width: 220px;
    margin: 5px;
    z-index: 5;
}

.status.p1 {
    left: 15px;
}

.status.p2 {
    right: 15px;
}

.status.recovery {
    left: 0;
    right: 0;
    top: 1em;
    width: 100%;
    text-align: center;
    font-weight: bold;
}
.status.recovery .range-value {
    display: none;
}

.select2-search input {
    padding: 0 !important;
}

.select2-search input {
    padding: 0 !important;
}

.select2-results__group {
    padding: 0 0 0 6px !important;
}

.select2-results__option {
    padding-top: 0;
    padding-bottom: 0;
}

.panel-footer {
    text-align: center;
    padding: 0 !important;
}

[onclick] {
    cursor: pointer;
}

.timeline-item {
    cursor: move;
}

.timeline-item .move-selection .icon {
    text-align: center;
}

.ui-sortable-helper {
    border: 1px dashed gray !important;
    margin: 2px;
}

.ui-sortable-placeholder {
    background-color: lightgray;
    border: 1px dashed #eee;
    padding: 2px;
    height: 2em;
    float: left;
    width: 100%;
}

.timeline-item {
    margin-bottom: 5px;
}

.timeline-item .timing {
    text-align: center;
    margin-bottom: 2px;
}

.timeline-item .timing small {
    font-size: 66%;
    border: 1px solid #aaa;
    padding: 6px 6px 10px;
    background-color: lightyellow;
    border-radius: 5px;
}

select, .select2, .select2-container, input {
    font-family: "Menlo", "DejaVu Sans Mono", "Liberation Mono", "Consolas", "Ubuntu Mono", "Courier New", "andale mono", "lucida console", monospace;
}

.timeline-item .hold {
    text-align: center;
}

.timeline-item .hold small {
    font-size: 66%;
    border: 1px solid #aaa;
    padding: 6px 6px 10px;
    background-color: lightyellow;
    border-radius: 0 0 5px 5px;
    height: 30px;
    display: inline-block;
    margin-top: -5px;
}

[class^="col-xs"] {
    padding-left: 0;
    padding-right: 0;
}

.select2-container {
    width: 100% !important;
}

#select2-dropdown {
    /* removes the dropdown container from scroll offset computation */
    position: absolute;
}

.slider {
    padding: 10px 15px 0;
}

#frame-counter {
    margin-left: 1em;
    padding: 7px 14px;
    float: left;
}

.debug-checkbox {
    padding-top: 7px;
    display: inline-block;
    margin-right: 1em;
}

.debug-checkbox label {
    font-weight: normal;
}

.grecaptcha-badge {
    float: left;
}

.modal-button {
    float: right;
    margin-left: 0.5em;
}

.glyphicon.spinning {
    animation: spin 1s infinite linear;
    -webkit-animation: spin2 1s infinite linear;
}

#shareable-url-text {
    background-color: white;
}
.grid line {
    stroke-width: 1;
    stroke: #f4f4f4;
}
.grid line.grid-strong-line {
    stroke-width: 2;
    stroke: #eeeeee;
}
.dark-mode .grid line {
    stroke: black;
}
.dark-mode .grid line.grid-strong-line {
    stroke: black;
}
.dark-mode .select2-dropdown {
    color: black;
}

.dark-mode .legend-button {
    background-color: rgb(62, 68, 76);
    border-color: rgba(0,0,0,0.6);
}

.dark-mode .camera {
    border-color: rgba(0,0,0,0.6);
}

.dark-mode .scene {
    background-color: rgba(46, 51, 56, 0.9);
    border-bottom-color: rgba(0,0,0,0.6);
}

.dark-mode .timeline-item .timing small, .dark-mode .timeline-item .timing small {
    color: black;
}

.dark-mode .legend {
    background-color: rgb(62, 68, 76);
    border-bottom-color: rgba(0,0,0,0.6);
}

.dark-mode .legend [text-anchor='start'] {
    fill: rgb(200, 200, 200);
}

.move-delay .button-hold {
    width: 23px;
}

input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
  -webkit-appearance: none;
  margin: 0;
}

input[type=number] {
    -moz-appearance: textfield;
  }

@keyframes spin {
    from {
        transform: scale(1) rotate(0deg);
    }
    to {
        transform: scale(1) rotate(360deg);
    }
}

@-webkit-keyframes spin2 {
    from {
        -webkit-transform: rotate(0deg);
    }
    to {
        -webkit-transform: rotate(360deg);
    }
}
.example {
    margin-bottom: 30px;
    box-sizing: border-box;
}

.example a {
    text-decoration: none;
    color: black;
}
.example .panel {
    height: 180px;
}

.legend-button {
    cursor: pointer;
    position: absolute;
    top: 475px;
    line-height: 1em;
    background-color: white;
    padding: 5px;
    border: 1px solid lightgray;
}

.legend {
    position: absolute;
    z-index: 1;
    background-color: #f4f4f4;
    margin: 1px;
    left: 15px;
    right: 15px;
    top: 0;
    padding-left: 15px;
    padding-right: 15px;
    padding-bottom: 15px;
    border-bottom: 1px solid #ddd;
}

@media (max-width: 1280px) {
    .main-title {
        position: inherit;
        margin: 10px;
        top: 0;
    }

    .status.p1, .status.p2 {
        width: 40%;
        font-size: 0.9em;
    }
    .status.recovery {
        position: inherit;
        width: 100%;
    }
    .scene {
        height: 350px;
        width: 1120px;
    }
    .legend-button {
        top: -25px;
        right: 15px;
    }
}
@media (max-width: 768px) {
    body {
        overflow-x: hidden;
    }
    #panel-p1, #panel-p2 {
        position: inherit;
    }
    .status.p1, .status.p2 {
        width: 40%;
        font-size: 0.7em;
    }
    .status.recovery {
        position: inherit;
        width: 100%;
    }
    .scene {
        height: 250px;
        width: 800px;
    }
    .legend-button {
        top: -25px;
        right: 15px;
    }
    .simulate-button {
        width: 100%;
    }
    .time.btn-toolbar {
        text-align: center;
        padding-top: 5px;
    }
    .time.btn-toolbar > * {
        float: none !important;
    }
}